#!/bin/sh

rrdgenerate ()
{

DBASE="${DBASEDIR}/${FILE}-${1}.rrd"
IMG="${IMGDIR}/${FILE}-${1}.png"
SIMG="${IMGDIR}/small-${FILE}-${1}.png"

if [ ! -f "${DBASE}" ]; then

${RRD} create ${DBASE} \
        --start N \
        --step 300 \
        DS:if_in:COUNTER:600:U:U \
        DS:if_out:COUNTER:600:U:U \
        RRA:AVERAGE:0.5:1:288
fi

${RRD} update ${DBASE} N:`${SNMPGET} "ifInOctets[${1}]"`:`${SNMPGET} "ifOutOctets[${1}]"`

${RRD} graph ${IMG} \
        --imgformat=PNG \
        --title="${2}" \
        --font DEFAULT:7 \
        --height=100 \
        --width=400 \
        --lower-limit=0 \
        DEF:byte_in="${DBASE}":if_in:AVERAGE \
        DEF:byte_out="${DBASE}":if_out:AVERAGE \
        AREA:byte_in#00CF00:"IN\t" GPRINT:byte_in:LAST:"Last\:%8.2lf %s" GPRINT:byte_in:AVERAGE:"Avg\:%8.2lf %s" GPRINT:byte_in:MAX:"Max\:%8.2lf %s\n" \
        LINE1:byte_out#FF0000:"OUT\t" GPRINT:byte_out:LAST:"Last\:%8.2lf %s" GPRINT:byte_out:AVERAGE:"Avg\:%8.2lf %s" GPRINT:byte_out:MAX:"Max\:%8.2lf %s\n"

${RRD} graph ${SIMG} \
        --imgformat=PNG \
        --title="${2}" \
        --font DEFAULT:5 \
        --height=50 \
        --width=200 \
        --lower-limit=0 \
        --no-legend \
        DEF:byte_in="${DBASE}":if_in:AVERAGE \
        DEF:byte_out="${DBASE}":if_out:AVERAGE \
        AREA:byte_in#00CF00: \
        LINE1:byte_out#FF0000:

}

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

BASENAME=`basename $0`
FILE=${BASENAME%.sh}

rrdgenerate "1" "Default GW LAN"
rrdgenerate "3" "WAN"
