#!/bin/sh

# Monitoraggio switch casa Gianmarco

# SNMPGETNG="/usr/local/bin/bsnmpget -s public@10.254.254.253 -o quiet"
# /usr/local/bin/bsnmpget -s public@10.254.254.253 -o quiet "ifInOctets[6]" "ifOutOctets[6]" | awk '{printf( ":%.0f", $NF)}'

rrdgenerate ()
{

DBASE="${DBASEDIR}/${FILE}-${1}.rrd"
IMG="${IMGDIR}/${FILE}-${1}.png"
SIMG="${IMGDIR}/small-${FILE}-${1}.png"

if [ ! -f "${DBASE}" ]; then

${RRD} create ${DBASE} \
        --start N \
        --step 300 \
        DS:port_in:COUNTER:600:U:U \
        DS:port_out:COUNTER:600:U:U \
        RRA:AVERAGE:0.5:1:288
fi




${RRD} update ${DBASE} N`${SNMPGETNG}   "ifInOctets[${1}]" "ifOutOctets[${1}]" | awk '{printf( ":%.0f", $NF)}'`
# ${RRD} update ${DBASE} N:`${SNMPGETNG} "ifInOctets[${1}]"`:`${SNMPGETNG} "ifOutOctets[${1}]"`

${RRD} graph ${IMG} \
        --imgformat=PNG \
        --title="${2}" \
        --font DEFAULT:7 \
        --height=100 \
        --width=400 \
        --lower-limit=0 \
        DEF:byte_in="${DBASE}":port_in:AVERAGE \
        DEF:byte_out="${DBASE}":port_out:AVERAGE \
        AREA:byte_in#00CF00:"IN\t" GPRINT:byte_in:LAST:"Last\:%4.1lf %s" GPRINT:byte_in:AVERAGE:"Avg\:%4.1lf %s" GPRINT:byte_in:MAX:"Max\:%4.1lf %s\n" \
        LINE1:byte_out#FF0000:"OUT\t" GPRINT:byte_out:LAST:"Last\:%4.1lf %s" GPRINT:byte_out:AVERAGE:"Avg\:%4.1lf %s" GPRINT:byte_out:MAX:"Max\:%4.1lf %s\n"

${RRD} graph ${SIMG} \
        --imgformat=PNG \
        --title="${2}" \
        --font DEFAULT:5 \
        --height=50 \
        --width=200 \
        --lower-limit=0 \
        --no-legend \
        DEF:byte_in="${DBASE}":port_in:AVERAGE \
        DEF:byte_out="${DBASE}":port_out:AVERAGE \
        AREA:byte_in#00CF00: \
        LINE1:byte_out#FF0000:

}

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

BASENAME=`basename $0`
FILE=${BASENAME%.sh}

rrdgenerate "01" "Switch P01 - taverna"
rrdgenerate "02" "Switch P02 - soggiorno"
rrdgenerate "03" "Switch P03 - bimbi 1"
rrdgenerate "04" "Switch P04 - bimbi 2"
rrdgenerate "05" "Switch P05 - suzy"
rrdgenerate "06" "Switch P06 - gmarco 1"
rrdgenerate "07" "Switch P07 - WiFi"
rrdgenerate "08" "Switch P08 - camera"
rrdgenerate "11" "Switch P11 - nas 3"
rrdgenerate "13" "Switch P13 - nas 1"
rrdgenerate "15" "Switch P15 - nas 2"
rrdgenerate "18" "Switch P18 - printer"
rrdgenerate "19" "Switch P19 - dm700"
rrdgenerate "20" "Switch P20 - gmarco tv"
rrdgenerate "22" "Switch P22 - gmarco 2"
rrdgenerate "24" "Switch P20 - lan fw"
