#!/bin/sh

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

BASENAME=`basename $0`
FILE=${BASENAME%.sh}
DBASE="${DBASEDIR}/${FILE}.rrd"
IMG="${IMGDIR}/${FILE}.png"
SIMG="${IMGDIR}/small-${FILE}.png"
TITLE="Connessioni"

if [ ! -f "${DBASE}" ]; then 

${RRD} create ${DBASE} \
	--start N \
	--step 300 \
	DS:conn_tot:GAUGE:600:U:U \
	DS:conn_udp:GAUGE:600:U:U \
	DS:conn_tcp:GAUGE:600:U:U \
	DS:conn_p2p:GAUGE:600:U:U \
	DS:conn_www:GAUGE:600:U:U \
	DS:conn_mai:GAUGE:600:U:U \
	RRA:AVERAGE:0.5:1:288
fi 


TOTSESS=`netstat -an | grep -ce '^.*p4'` 
UDPSESS=`netstat -an | grep -ce '^udp4'` 
TCPSESS=`netstat -an | grep -ce '^tcp4'` 
P2PSESS=`netstat -an | grep -ce '4662 '` 
WWWSESS=`netstat -an | grep -ce '83.149.149.149.80'` 
MAISESS=`netstat -an | grep -ce '83.149.149.149.25'` 


${RRD} update ${DBASE} N:${TOTSESS}:${UDPSESS}:${TCPSESS}:${P2PSESS}:${WWWSESS}:${MAISESS}

${RRD} graph ${IMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:7 \
	--rigid \
	--base=1000 \
	--height=100 \
	--width=400 \
	--tabwidth=20 \
	--lower-limit=0 \
	--vertical-label="Connections" \
	DEF:tot="${DBASE}":conn_tot:AVERAGE \
	DEF:udp="${DBASE}":conn_udp:AVERAGE \
	DEF:tcp="${DBASE}":conn_tcp:AVERAGE \
	DEF:p2p="${DBASE}":conn_p2p:AVERAGE \
	DEF:www="${DBASE}":conn_www:AVERAGE \
	DEF:mai="${DBASE}":conn_mai:AVERAGE \
	AREA:tot#00CF00:"TOT\t" GPRINT:tot:LAST:"Last\:%4.0lf %s\t" GPRINT:tot:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:tot:MAX:"Max\:%4.0lf %s\n"  \
	LINE1:udp#FF0000:"UDP\t" GPRINT:udp:LAST:"Last\:%4.0lf %s\t" GPRINT:udp:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:udp:MAX:"Max\:%4.0lf %s\n" \
	LINE1:tcp#002A97:"TCP\t" GPRINT:tcp:LAST:"Last\:%4.0lf %s\t" GPRINT:tcp:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:tcp:MAX:"Max\:%4.0lf %s\n" \
	LINE1:p2p#FF00FF:"P2P\t" GPRINT:p2p:LAST:"Last\:%4.0lf %s\t" GPRINT:p2p:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:p2p:MAX:"Max\:%4.0lf %s\n" \
	LINE1:www#009999:"WWW\t" GPRINT:www:LAST:"Last\:%4.0lf %s\t" GPRINT:www:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:www:MAX:"Max\:%4.0lf %s\n" \
	LINE1:www#DDDDDD:"MAIL\t" GPRINT:mai:LAST:"Last\:%4.0lf %s\t" GPRINT:mai:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:mai:MAX:"Max\:%4.0lf %s\n" \


${RRD} graph ${SIMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:5 \
	--height=50 \
	--width=200 \
	--tabwidth=20 \
	--lower-limit=0 \
	--no-legend \
	DEF:tot="${DBASE}":conn_tot:AVERAGE \
	DEF:udp="${DBASE}":conn_udp:AVERAGE \
	DEF:tcp="${DBASE}":conn_tcp:AVERAGE \
	DEF:p2p="${DBASE}":conn_p2p:AVERAGE \
	DEF:www="${DBASE}":conn_www:AVERAGE \
	DEF:mai="${DBASE}":conn_mai:AVERAGE \
	AREA:tot#00CF00  \
	LINE1:udp#FF0000 \
	LINE1:tcp#002A97 \
	LINE1:p2p#FF00FF \
	LINE1:www#009999 \
	LINE1:www#DDDDDD \

	# Optionals 
	# HRULE:150000#FF0000:"MAX possible speed"
	# CDEF:byte_in=in,8,* \
	# CDEF:byte_out=out,8,* \
