#!/bin/sh

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

TITOLO="Disk Space"
DISK0="/dev/da0s1a"
DISK1="/dev/da1s1a"
BASENAME=`basename $0`
FILE=${BASENAME%.sh}
DBASE="${DBASEDIR}/${FILE}.rrd"
IMG="${IMGDIR}/${FILE}.png"
SIMG="${IMGDIR}/small-${FILE}.png"

if [ ! -f "${DBASE}" ]; then

${RRD} create ${DBASE} \
        --start N \
        --step 300 \
        DS:space0:GAUGE:600:U:U \
        DS:space1:GAUGE:600:U:U \
        RRA:AVERAGE:0.5:1:288
fi

SPACE0=`df | grep ${DISK0} | awk '{gsub("%", ""); print $(NF-1)}'`
SPACE1=`df | grep ${DISK1} | awk '{gsub("%", ""); print $(NF-1)}'`

${RRD} update ${DBASE} N:${SPACE0}:${SPACE1}

${RRD} graph ${IMG} \
        --imgformat=PNG \
        --title="${TITOLO}" \
        --font LEGEND:7 \
        --rigid \
        --base=1000 \
        --height=100 \
        --width=400 \
        --tabwidth=20 \
	--upper-limit=100 \
        --lower-limit=0 \
        --vertical-label="hd usage %" \
        DEF:hd0="${DBASE}":space0:AVERAGE \
        DEF:hd1="${DBASE}":space1:AVERAGE \
	LINE1:hd0#FF0000:"hd0\t" GPRINT:hd0:LAST:"Last\:%4.0lf %s\t" GPRINT:hd0:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:hd0:MAX:"Max\:%4.0lf %s\n" \
	LINE1:hd1#00CF00:"hd1\t" GPRINT:hd1:LAST:"Last\:%4.0lf %s\t" GPRINT:hd1:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:hd1:MAX:"Max\:%4.0lf %s\n" \

${RRD} graph ${SIMG} \
        --imgformat=PNG \
        --title="${TITOLO}" \
        --font DEFAULT:5 \
        --height=50 \
        --width=200 \
        --tabwidth=20 \
        --lower-limit=0 \
        --no-legend \
        DEF:hd0="${DBASE}":space0:AVERAGE \
        DEF:hd1="${DBASE}":space1:AVERAGE \
	LINE1:hd0#FF0000: \
	LINE1:hd1#00CF00: \
