#!/bin/sh

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

BASENAME=`basename $0`
FILE=${BASENAME%.sh}
DBASE="${DBASEDIR}/${FILE}.rrd"
IMG="${IMGDIR}/${FILE}.png"
SIMG="${IMGDIR}/small-${FILE}.png"
TITLE="NetPerf"

if [ ! -f "${DBASE}" ]; then 

${RRD} create ${DBASE} \
	--start N \
	--step 300 \
	DS:stream:GAUGE:600:U:U \
	DS:maerts:GAUGE:600:U:U \
	RRA:AVERAGE:0.5:1:288
fi 


STREAM=`netperf -4 -H83.149.128.195 -p11111 -fk -tTCP_STREAM -P0 | awk '{print $5}'` 
MAERTS=`netperf -4 -H83.149.128.195 -p11111 -fk -tTCP_MAERTS -P0 | awk '{print $5}'` 


${RRD} update ${DBASE} N:${STREAM}:${MAERTS}

${RRD} graph ${IMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:7 \
	--height=100 \
	--width=400 \
	--tabwidth=20 \
	--lower-limit=0 \
	--vertical-label="Kb/s" \
	DEF:stream="${DBASE}":stream:AVERAGE \
	DEF:maerts="${DBASE}":maerts:AVERAGE \
        AREA:stream#00CF00:"STREAM\t" GPRINT:stream:LAST:"Last\:%4.0lf %s\t" GPRINT:stream:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:stream:MAX:"Max\:%4.0lf %s\n"  \
        LINE1:maerts#FF0000:"MAERTS\t" GPRINT:maerts:LAST:"Last\:%4.0lf %s\t" GPRINT:maerts:AVERAGE:"Avg\:%4.0lf %s\t" GPRINT:maerts:MAX:"Max\:%4.0lf %s\n" \



${RRD} graph ${SIMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:5 \
	--height=50 \
	--width=200 \
	--tabwidth=20 \
	--lower-limit=0 \
	--no-legend \
        DEF:stream="${DBASE}":stream:AVERAGE \
        DEF:maerts="${DBASE}":maerts:AVERAGE \
	AREA:stream#00CF00  \
	LINE1:maerts#FF0000 \

	# Optionals 
	# HRULE:150000#FF0000:"MAX possible speed"
	# CDEF:byte_in=in,8,* \
	# CDEF:byte_out=out,8,* \
