#!/bin/sh

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

BASENAME=`basename $0`
FILE=${BASENAME%.sh}
DBASE="${DBASEDIR}/${FILE}.rrd"
IMG="${IMGDIR}/${FILE}.png"
SIMG="${IMGDIR}/small-${FILE}.png"
TITLE="TCP Connections"

if [ ! -f "${DBASE}" ]; then 

${RRD} create ${DBASE} \
	--start N \
	--step 300 \
	DS:conn_estab:GAUGE:600:U:U \
	DS:conn_active:COUNTER:600:U:U \
	DS:conn_passive:COUNTER:600:U:U \
	DS:conn_fails:COUNTER:600:U:U \
	DS:conn_reset:COUNTER:600:U:U \
	RRA:AVERAGE:0.5:1:288
fi 


${RRD} update ${DBASE} N`${SNMPGET} tcpCurrEstab.0 tcpActiveOpens.0 tcpPassiveOpens.0 tcpAttemptFails.0 tcpEstabResets.0 | awk '{printf( ":%.0f", $NF)}'`

${RRD} graph ${IMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:7 \
	--height=100 \
	--width=400 \
	--lower-limit=0 \
	DEF:estab="${DBASE}":conn_estab:AVERAGE \
	DEF:active="${DBASE}":conn_active:AVERAGE \
	DEF:passive="${DBASE}":conn_passive:AVERAGE \
	DEF:fails="${DBASE}":conn_fails:AVERAGE \
	DEF:reset="${DBASE}":conn_reset:AVERAGE \
	LINE1:estab#002A97:"Established\:\t" GPRINT:estab:LAST:"Last\:%5.0lf\t" GPRINT:estab:AVERAGE:"Avg\:%5.0lf\t" GPRINT:estab:MAX:"Max\:%5.0lf\n" \
	LINE1:active#00CF00:"Active\:\t\t"   GPRINT:active:LAST:"Last\:%5.0lf\t" GPRINT:active:AVERAGE:"Avg\:%5.0lf\t" GPRINT:active:MAX:"Max\:%5.0lf\n" \
	LINE1:passive#FF0000:"Passive\:\t\t" GPRINT:passive:LAST:"Last\:%5.0lf\t" GPRINT:passive:AVERAGE:"Avg\:%5.0lf\t" GPRINT:passive:MAX:"Max\:%5.0lf\n" \
	LINE1:fails#FF00FF:"Early Drops\:\t" GPRINT:fails:LAST:"Last\:%5.0lf\t" GPRINT:fails:AVERAGE:"Avg\:%5.0lf\t" GPRINT:fails:MAX:"Max\:%5.0lf\n" \
	LINE1:reset#009999:"Estab Reset\:\t" GPRINT:reset:LAST:"Last\:%5.0lf\t" GPRINT:reset:AVERAGE:"Avg\:%5.0lf\t" GPRINT:reset:MAX:"Max\:%5.0lf\n" 

${RRD} graph ${SIMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:5 \
	--height=50 \
	--width=200 \
	--lower-limit=0 \
	--no-legend \
	DEF:estab="${DBASE}":conn_estab:AVERAGE \
	DEF:active="${DBASE}":conn_active:AVERAGE \
	DEF:passive="${DBASE}":conn_passive:AVERAGE \
	DEF:fails="${DBASE}":conn_fails:AVERAGE \
	DEF:reset="${DBASE}":conn_reset:AVERAGE \
	LINE1:estab#002A97:\
	LINE1:active#00CF00:\
	LINE1:passive#FF0000:\
	LINE1:fails#FF00FF:\
	LINE1:reset#009999:\
