#!/bin/sh

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

BASENAME=`basename $0`
FILE=${BASENAME%.sh}
DBASE="${DBASEDIR}/${FILE}.rrd"
IMG="${IMGDIR}/${FILE}.png"
SIMG="${IMGDIR}/small-${FILE}.png"
TITLE="UDP Datagrams"

if [ ! -f "${DBASE}" ]; then 

${RRD} create ${DBASE} \
	--start N \
	--step 300 \
	DS:data_in:COUNTER:600:U:U \
	DS:data_out:COUNTER:600:U:U \
	RRA:AVERAGE:0.5:1:288
fi 


${RRD} update ${DBASE} N`${SNMPGET} udpOutDatagrams.0 udpInDatagrams.0 | awk '{printf( ":%.0f", $NF)}'`

${RRD} graph ${IMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:7 \
	--height=100 \
	--width=400 \
	--lower-limit=0 \
	DEF:udp_in="${DBASE}":data_in:AVERAGE \
	DEF:udp_out="${DBASE}":data_out:AVERAGE \
	AREA:udp_in#00CF00:"IN\:\t" GPRINT:udp_in:LAST:"Last\:%5.0lf\t" GPRINT:udp_in:AVERAGE:"Avg\:%5.0lf\t" GPRINT:udp_in:MAX:"Max\:%5.0lf\n" \
	LINE1:udp_out#FF0000:"OUT\:\t" GPRINT:udp_out:LAST:"Last\:%5.0lf\t" GPRINT:udp_out:AVERAGE:"Avg\:%5.0lf\t" GPRINT:udp_out:MAX:"Max\:%5.0lf\n" \


${RRD} graph ${SIMG} \
	--imgformat=PNG \
	--title="${TITLE}" \
	--font DEFAULT:5 \
	--height=50 \
	--width=200 \
	--lower-limit=0 \
	--no-legend \
        DEF:udp_in="${DBASE}":data_in:AVERAGE \
        DEF:udp_out="${DBASE}":data_out:AVERAGE \
        AREA:udp_in#00CF00: \
        LINE1:udp_out#FF0000: \

