#!/bin/sh

BASEDIR=`pwd`
. ${BASEDIR%scripts}/rrdtool.conf

TITLE="Mail stats"
BASENAME=`basename $0`
FILE=${BASENAME%.sh}
DBASE="${DBASEDIR}/${FILE}.rrd"
IMG="${IMGDIR}/${FILE}.png"
SIMG="${IMGDIR}/small-${FILE}.png"

if [ ! -f "${DBASE}" ]; then

${RRD} create ${DBASE} \
        --start N \
        --step 300 \
        DS:mail_frm:GAUGE:600:0:5000 \
        DS:mail_rcp:GAUGE:600:0:5000 \
        DS:mail_rej:GAUGE:600:0:5000 \
        DS:mail_dis:GAUGE:600:0:5000 \
        DS:mail_qua:GAUGE:600:0:5000 \
        RRA:AVERAGE:0.5:1:288
fi

if [ ! -f "${OLDVALUES}" ]; then

echo TOTFRMOLD=\"0\" >${DBASEDIR}/${FILE}.tmpdb
echo TOTRCPOLD=\"0\" >>${DBASEDIR}/${FILE}.tmpdb
echo TOTREJOLD=\"0\" >>${DBASEDIR}/${FILE}.tmpdb
echo TOTDISOLD=\"0\" >>${DBASEDIR}/${FILE}.tmpdb
echo TOTQUAOLD=\"0\" >>${DBASEDIR}/${FILE}.tmpdb

fi

. ${DBASEDIR}/${FILE}.tmpdb

TOTFRMNOW=`mailstats -o -P | grep "^ T" | awk '{print $2}'`
TOTRCPNOW=`mailstats -o -P | grep "^ T" | awk '{print $4}'`
TOTREJNOW=`mailstats -o -P | grep "^ T" | awk '{print $6}'`
TOTDISNOW=`mailstats -o -P | grep "^ T" | awk '{print $7}'`
TOTQUANOW=`mailstats -o -P | grep "^ T" | awk '{print $8}'`

let TOTFRM = ${TOTFRMNOW} - ${TOTFRMOLD}
let TOTRCP = ${TOTRCPNOW} - ${TOTRCPOLD}
let TOTREJ = ${TOTREJNOW} - ${TOTREJOLD}
let TOTDIS = ${TOTDISNOW} - ${TOTDISOLD}
let TOTQUA = ${TOTQUANOW} - ${TOTQUAOLD}

echo TOTFRMOLD=\"${TOTFRM}\" >${DBASEDIR}/${FILE}.tmpdb
echo TOTRCPOLD=\"${TOTRCP}\" >>${DBASEDIR}/${FILE}.tmpdb
echo TOTREJOLD=\"${TOTREJ}\" >>${DBASEDIR}/${FILE}.tmpdb
echo TOTDISOLD=\"${TOTDIS}\" >>${DBASEDIR}/${FILE}.tmpdb
echo TOTQUAOLD=\"${TOTQUA}\" >>${DBASEDIR}/${FILE}.tmpdb

${RRD} update ${DBASE} N:${TOTFRM}:${TOTRCP}:${TOTREJ}:${TOTDIS}:${TOTQUA}


${RRD} graph ${IMG} \
        --imgformat=PNG \
        --title="${TITLE}" \
        --font DEFAULT:7 \
        --height=100 \
        --width=400 \
        --lower-limit=0 \
        --vertical-label="nr" \
        DEF:frm="${DBASE}":mail_frm:AVERAGE \
        DEF:rcp="${DBASE}":mail_rcp:AVERAGE \
        DEF:rej="${DBASE}":mail_rej:AVERAGE \
        DEF:dis="${DBASE}":mail_dis:AVERAGE \
        DEF:qua="${DBASE}":mail_qua:AVERAGE \
        LINE1:frm#00CF00:"FROM\t" GPRINT:frm:LAST:"Last\:%4.0lf \t" GPRINT:frm:AVERAGE:"Avg\:%4.0lf \t" GPRINT:frm:MAX:"Max\:%4.0lf \n"  \
        LINE1:rcp#FF0000:"RCPT\t" GPRINT:rcp:LAST:"Last\:%4.0lf \t" GPRINT:rcp:AVERAGE:"Avg\:%4.0lf \t" GPRINT:rcp:MAX:"Max\:%4.0lf \n" \
        LINE1:rej#002A97:"REJ\t"  GPRINT:rej:LAST:"Last\:%4.0lf \t" GPRINT:rej:AVERAGE:"Avg\:%4.0lf \t" GPRINT:rej:MAX:"Max\:%4.0lf \n" \
        LINE1:dis#FF00FF:"DIS\t"  GPRINT:dis:LAST:"Last\:%4.0lf \t" GPRINT:dis:AVERAGE:"Avg\:%4.0lf \t" GPRINT:dis:MAX:"Max\:%4.0lf \n" \
        LINE1:qua#009999:"QUA\t"  GPRINT:qua:LAST:"Last\:%4.0lf \t" GPRINT:qua:AVERAGE:"Avg\:%4.0lf \t" GPRINT:qua:MAX:"Max\:%4.0lf \n" \

${RRD} graph ${SIMG} \
        --imgformat=PNG \
        --title="${TITLE}" \
        --font DEFAULT:5 \
        --height=50 \
        --width=200 \
        --lower-limit=0 \
        --no-legend \
        DEF:frm="${DBASE}":mail_frm:AVERAGE \
        DEF:rcp="${DBASE}":mail_rcp:AVERAGE \
        DEF:rej="${DBASE}":mail_rej:AVERAGE \
        DEF:dis="${DBASE}":mail_dis:AVERAGE \
        DEF:qua="${DBASE}":mail_qua:AVERAGE \
        LINE1:frm#00CF00:"FROM\t" \
        LINE1:rcp#FF0000:"RCPT\t" \
        LINE1:rej#002A97:"REJ\t"  \
        LINE1:dis#FF00FF:"DIS\t"  \
        LINE1:qua#009999:"QUA\t"  \


